# Interface TableConsumer

All Known Implementing Classes:
  `CubeWriter, JdbcConsumer, SwingMode`

public interface TableConsumer
Disposes of a table.

Since:
  9 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`consume(uk.ac.starlink.table.StarTable table)`
Consumes a table.

## Method Details

### consume

void consume(uk.ac.starlink.table.StarTable table) throws IOException
Consumes a table.

Parameters:
  `table` - table to consume
Throws:
  `IOException`